@webpack_ru
Webpack — русскоговорящее сообщество

Обсуждения webpack, лоадеров, плагинов и сборок Правила: http://bit.ly/our_etiquette См. также: @rollup_ru, @react_js, @vscode_ru, @macos_ru, @js_ru

974 members

Архив канала @webpack_ru 10 февраля 2018 г.

06:48:45 ДП
User 134905826
обычно от process.cwd(), попробуй dist полностью написать
06:59:32 ДП
User 1040677
Все сам решил))
07:26:24 ДП
User 371133717
Кто использует DllPlugin
07:27:00 ДП
User 371133717
Есть какие-то caveats?
07:36:19 ДП
User 4274761
приветы! есть где-то вебпак конфигуратор, просто добавляющий фичи в конфиг? конечный конфиг можно будет просто генерить композом. что-то вроде
export default compose(hmr, scss, cssModules)(baseConfig)
07:37:11 ДП
User 4274761
а то добавляешь hmr в чужой конфиг, ковыряешься, а оказывается, что modules: false забыл дописать
01:36:14 ПП
User 120165225
Ребята что-то не могу понять с полифилами
Как я понимаю есть два варианта 
1 babel-polfyill
2 transform-runtime

1 й как будто работает, но его надо подключать глобально, и он загружает абсолютно все
в babel presets-env вроде как можно поставить useBuiltIns true чтобы только нужные загружал
но в этом случае ничего не работает
поэтому пробуд другой вариант
transform-runtime
с ним вообще ничего не понятно
вроде как достаточно подключить в babelrc
plugins: ["transform-runtime"]
параметры по умолчанию
и ничего не работает
01:37:14 ПП
User 60122561
User 120165225
Ребята что-то не могу понять с полифилами
Как я понимаю есть два варианта 
1 babel-polfyill
2 transform-runtime

1 й как будто работает, но его надо подключать глобально, и он загружает абсолютно все
в babel presets-env вроде как можно поставить useBuiltIns true чтобы только нужные загружал
но в этом случае ничего не работает
поэтому пробуд другой вариант
transform-runtime
с ним вообще ничего не понятно
вроде как достаточно подключить в babelrc
plugins: ["transform-runtime"]
параметры по умолчанию
и ничего не работает
Если не путаю, то подключая первый ты в env указываешь какие версии тебе надо поддерживать
01:37:18 ПП
User 60122561
браузеров
01:37:30 ПП
User 60122561
и оно подгружает именно эти части, можешь debug включить
01:37:36 ПП
User 60122561
там будет список полифиллов
01:37:40 ПП
User 60122561
в консольке
01:38:02 ПП
User 120165225
User 60122561
Если не путаю, то подключая первый ты в env указываешь какие версии тебе надо поддерживать
Так и есть
targets: ["bla bla ", "ie >= 9"]
01:38:22 ПП
User 120165225
User 60122561
там будет список полифиллов
ага вижу, этот список
01:38:50 ПП
User 60122561
User 120165225
Ребята что-то не могу понять с полифилами
Как я понимаю есть два варианта 
1 babel-polfyill
2 transform-runtime

1 й как будто работает, но его надо подключать глобально, и он загружает абсолютно все
в babel presets-env вроде как можно поставить useBuiltIns true чтобы только нужные загружал
но в этом случае ничего не работает
поэтому пробуд другой вариант
transform-runtime
с ним вообще ничего не понятно
вроде как достаточно подключить в babelrc
plugins: ["transform-runtime"]
параметры по умолчанию
и ничего не работает
нууу, а у тебя там всякие stage-1 и такое подключены?
01:38:59 ПП
User 60122561
хотя это не к ним офк вроде
01:42:28 ПП
User 120165225
А вообще как
подключать глобально сильно плохо считается?
import 'babel-plyfill'
?
01:45:58 ПП
User 60122561
User 120165225
А вообще как
подключать глобально сильно плохо считается?
import 'babel-plyfill'
?
не уверен, но вообще babel-runtime получше идет, он там по коду гоняет и убирает дублирование, ты мб забыл babel-runtime в обычные зависимости поставить к нему?
01:46:11 ПП
User 60122561
Там надо babel-runtime и babel-plugin-transform-runtime
01:46:36 ПП
User 120165225
ага второй в  деве подключил
01:48:54 ПП
User 120165225
User 60122561
не уверен, но вообще babel-runtime получше идет, он там по коду гоняет и убирает дублирование, ты мб забыл babel-runtime в обычные зависимости поставить к нему?
а он анализирует подключаемые бибы из node_modules?
у меня кокретно это проблема с vuelayers
01:49:11 ПП
User 60122561
User 120165225
а он анализирует подключаемые бибы из node_modules?
у меня кокретно это проблема с vuelayers
тут не знаю, особенно с вью
01:49:19 ПП
User 120165225
работает только c babel-polyfill
01:49:48 ПП
User 120165225
может там его в loader дополнительно пилить надо?
01:50:15 ПП
User 120165225
скоро голова квадратным станет
01:51:12 ПП
User 60122561
User 120165225
может там его в loader дополнительно пилить надо?
ну по идее достаточно в babelrc, но попробуй
01:52:51 ПП
User 60122561
чета типа
query: { plugins: ['transform-runtime'], presets: ['es2015', ... ] }
03:12:27 ПП
User 292848511
кто-то делает это вручную?
https://webpack.js.org/guides/lazy-loading/
03:13:00 ПП
User 292848511
ну, то есть, полезная штука, но это же капец
09:24:12 ПП
User 291325765
А подскажите как вот этому чудо ManifestPlugin задать что бы он не ставил абсолютные пути, а например относительные /dist а не /home/user/bla bla bla/ ?
09:24:28 ПП
User 291325765
что то потестил разные параметры результят один итот же
09:47:06 ПП
User 76662447
User 292848511
кто-то делает это вручную?
https://webpack.js.org/guides/lazy-loading/
А что тут такого
09:48:30 ПП
User 212795634
User 291325765
А подскажите как вот этому чудо ManifestPlugin задать что бы он не ставил абсолютные пути, а например относительные /dist а не /home/user/bla bla bla/ ?
в опциях посмотри)) если нет то возьми другой
09:48:37 ПП
User 292848511
User 76662447
А что тут такого
Да ну наверное ничего, просто я так не делал
09:49:53 ПП
User 291325765
User 212795634
в опциях посмотри)) если нет то возьми другой
там если указать basePath то он его будет везде сувать
09:49:58 ПП
User 291325765
просто убрал и стало ок